OpenNMS API 1.2.9

## org.opennms.netmgt.notifd.mock
Class MockNotification

    java.lang.Object
      org.opennms.netmgt.notifd.mock.MockNotification

public class MockNotification
extends java.lang.Object

Author:
  david

Field Summary
`private java.lang.String` `m_email`
`private long` `m_expectedTime`
`private java.lang.String` `m_pemail`
`private java.lang.String` `m_subject`
`private java.lang.String` `m_textMsg`

Constructor Summary
`MockNotification()`

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getEmail()`
`long` `getExpectedTime()`
`java.lang.String` `getPmail()`
`java.lang.String` `getSubject()`
`java.lang.String` `getTextMsg()`
`void` `setEmail(java.lang.String email)`
`void` `setExpectedTime(long expectedTime)`
`void` `setPmail(java.lang.String pmail)`
`void` `setSubject(java.lang.String subject)`
`void` `setTextMsg(java.lang.String textMsg)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_subject

    private java.lang.String m_subject

### m_email

    private java.lang.String m_email

### m_pemail

    private java.lang.String m_pemail

### m_textMsg

    private java.lang.String m_textMsg

### m_expectedTime

    private long m_expectedTime

Constructor Detail

### MockNotification

    public MockNotification()

Method Detail

### equals

    public boolean equals(java.lang.Object o)

### getEmail

    public java.lang.String getEmail()

  Returns:
    Returns the email.

### setEmail

    public void setEmail(java.lang.String email)

  Parameters:
    `email` - The email to set.

### getPmail

    public java.lang.String getPmail()

  Returns:
    Returns the pmail.

### setPmail

    public void setPmail(java.lang.String pmail)

  Parameters:
    `pmail` - The pmail to set.

### getSubject

    public java.lang.String getSubject()

  Returns:
    Returns the subject.

### setSubject

    public void setSubject(java.lang.String subject)

  Parameters:
    `subject` - The subject to set.

### getExpectedTime

    public long getExpectedTime()

### setExpectedTime

    public void setExpectedTime(long expectedTime)

### getTextMsg

    public java.lang.String getTextMsg()

  Returns:
    Returns the m_textMsg.

### setTextMsg

    public void setTextMsg(java.lang.String textMsg)

  Parameters:
    `textMsg` - The m_textMsg to set.

### toString

    public java.lang.String toString()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.